parameters:

services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false
        bind:
            $cookieConsentTheme: '%ideev_cookie_consent.theme%'
            $cookieCategories: '%ideev_cookie_consent.categories%'
            $useLogger: '%ideev_cookie_consent.use_logger%'
            $cookieConsentPosition: '%ideev_cookie_consent.position%'
            $cookieConsentSimplified: '%ideev_cookie_consent.simplified%'
            $httpOnly: '%ideev_cookie_consent.http_only%'
            $formAction: '%ideev_cookie_consent.form_action%'
            $csrfProtection: '%ideev_cookie_consent.csrf_protection%'

    Ideev\CookieConsentBundle\:
        resource: '../../'
        exclude: '../../{vendor}'

    Ideev\CookieConsentBundle\Controller\:
        resource: '../../Controller/*'
        public: true

    Ideev\CookieConsentBundle\Cookie\CookieChecker:
        arguments: ["@=service('request_stack').getCurrentRequest()"]

    Ideev\CookieConsentBundle\Cookie\CookieLogger:
        arguments:
            $request: "@=service('request_stack').getCurrentRequest()"
